[arch-commits] Commit in python-sh/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Nov 29 05:52:22 UTC 2016


    Date: Tuesday, November 29, 2016 @ 05:52:21
  Author: felixonmars
Revision: 197289

archrelease: copy trunk to community-any

Added:
  python-sh/repos/community-any/PKGBUILD
    (from rev 197288, python-sh/trunk/PKGBUILD)
Deleted:
  python-sh/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  108 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2016-11-29 05:52:07 UTC (rev 197288)
+++ PKGBUILD	2016-11-29 05:52:21 UTC (rev 197289)
@@ -1,54 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-# Contributor: Alexander Rødseth <rodseth at gmail.com>
-
-pkgname=("python-sh" "python2-sh")
-pkgver=1.12.0
-pkgrel=1
-pkgdesc='Subprocess interface that allows you to call any program as if it were a function'
-arch=('any')
-url='http://pypi.python.org/pypi/sh'
-license=('MIT')
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-coverage' 'python2-coverage')
-source=("https://pypi.io/packages/source/s/sh/sh-$pkgver.tar.gz")
-md5sums=('7d64fcb51713ecb118dc58776ea8741f')
-
-prepare() {
-  cp -a sh-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/sh-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/sh-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/sh-$pkgver
-  python sh.py travis || warning "Tests failed"
-
-  cd "$srcdir"/sh-$pkgver-py2
-  python2 sh.py travis || warning "Tests failed"
-}
-
-package_python-sh() {
-  depends=('python')
-
-  cd sh-$pkgver
-  python setup.py install -O1 --root="$pkgdir"
-  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/python-sh/LICENSE
-}
-
-package_python2-sh() {
-  depends=('python2')
-
-  cd sh-$pkgver-py2
-  python2 setup.py install -O1 --root="$pkgdir"
-  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/python2-sh/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-sh/repos/community-any/PKGBUILD (from rev 197288, python-sh/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2016-11-29 05:52:21 UTC (rev 197289)
@@ -0,0 +1,54 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Alexander Rødseth <rodseth at gmail.com>
+
+pkgname=("python-sh" "python2-sh")
+pkgver=1.12.2
+pkgrel=1
+pkgdesc='Subprocess interface that allows you to call any program as if it were a function'
+arch=('any')
+url='http://pypi.python.org/pypi/sh'
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-coverage' 'python2-coverage')
+source=("https://pypi.io/packages/source/s/sh/sh-$pkgver.tar.gz")
+md5sums=('62f322f720f32f8af896f1572b1c1053')
+
+prepare() {
+  cp -a sh-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/sh-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/sh-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/sh-$pkgver
+  python sh.py travis || warning "Tests failed"
+
+  cd "$srcdir"/sh-$pkgver-py2
+  python2 sh.py travis || warning "Tests failed"
+}
+
+package_python-sh() {
+  depends=('python')
+
+  cd sh-$pkgver
+  python setup.py install -O1 --root="$pkgdir"
+  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/python-sh/LICENSE
+}
+
+package_python2-sh() {
+  depends=('python2')
+
+  cd sh-$pkgver-py2
+  python2 setup.py install -O1 --root="$pkgdir"
+  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/python2-sh/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list